> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for local numbers by locality

> Search for a phone number based on city, region, and country.



## OpenAPI

````yaml post /api/v2/phoneNumber/search/local/locality
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/phoneNumber/search/local/locality:
    post:
      tags:
        - Phone Numbers
      summary: Search for local numbers by locality
      description: Search for a phone number based on city, region, and country.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - phoneNumber
                - code
              properties:
                city:
                  description: >-
                    City you are searching for. If the particular city is
                    unavailable, phone numbers from a 10 mile radius will be
                    returned
                  type: string
                  example: Austin
                region:
                  description: >-
                    Region for the search. If searching within the U.S., this
                    will be the state
                  type: string
                  example: TX
                country:
                  description: Country for the search
                  type: string
                  example: US
      responses:
        '200':
          description: Successfully retrieved available numbers
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Success
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: >-
            No phone numbers available for the search area. Please try a
            different area.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: A descriptive error message
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````